
QGIS Application - Bug report #20286

crashed trying plugin manager

2018-10-31 01:09 AM - Cuitlahuac Hernandez

Status: Closed

Priority: High

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:3.4.0 Regression?: No

Operating System: Windows 10 64 bits Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28107

Description

QGIS report

User Feedback

In a new installation of QGIS 3.4 via OSGeo4W64, I tried to access plugin manager and qgis crashed.

Report Details

Crash ID: 70c4ead4c2958e3083411f8e518e03fe8682807f

Stack Trace

QString::fill :

QString::indexOf :

QDir::fromNativeSeparators :

QFileInfo::QFileInfo :

QFileInfo::QFileInfo :

QgsSettingsLocatorFilter::triggerResult :

QgsSettingsLocatorFilter::triggerResult :

PyInit__gui :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyEval_EvalCodeEx :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :
QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-10-31 10:36 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Try with a new/clean profile.

#2 - 2018-12-24 10:26 AM - Alexander Bruy

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.

2024-04-24 2/2


